Tool: get_odb_network
Get details for an ODB Network in a Google Cloud project in the given location.
The following code sample shows how to use curl to call the get_odb_network MCP tool.
| Curl Request |
|---|
curl --location 'https://oracledatabase.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_odb_network", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
The request for OdbNetwork.Get.
GetOdbNetworkRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The name of the OdbNetwork in the following format: projects/{project}/locations/{location}/odbNetworks/{odb_network}. |
Output Schema
Represents OdbNetwork resource.
OdbNetwork
| JSON representation |
|---|
{ "name": string, "network": string, "labels": { string: string, ... }, "createTime": string, "state": enum ( |
| Fields | |
|---|---|
name |
Identifier. The name of the OdbNetwork resource in the following format: projects/{project}/locations/{region}/odbNetworks/{odb_network} |
network |
Required. The name of the VPC network in the following format: projects/{project}/global/networks/{network} |
labels |
Optional. Labels or tags associated with the resource. An object containing a list of |
createTime |
Output only. The date and time that the OdbNetwork was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
state |
Output only. State of the ODB Network. |
entitlementId |
Output only. The ID of the subscription entitlement associated with the OdbNetwork. |
gcpOracleZone |
Optional. The GCP Oracle zone where OdbNetwork is hosted. Example: us-east4-b-r2. If not specified, the system will pick a zone based on availability. |
serviceConnectivityConfig |
Optional. Configuration to enable the service (Oracledatabase@Google Cloud) to establish connectivity to the database. This should be specified if you intend to associate this OdbNetwork with a DatabaseConnection resource to Please don't specify it otherwise to avoid complicating the network setup. |
reconciling |
Output only. Indicates whether the OdbNetwork is currently reconciling changes. |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
ServiceConnectivityConfig
| JSON representation |
|---|
{
"pscInterfaceConfig": {
object ( |
| Fields | |
|---|---|
pscInterfaceConfig |
Optional. Configuration for Private Service Connect (PSC) interface. |
PscInterfaceConfig
| JSON representation |
|---|
{ "networkAttachment": string } |
| Fields | |
|---|---|
networkAttachment |
Optional. The resource name of the Network Attachment that Oracledatabase@Google Cloud will use to establish private connectivity to the database via a Private Service Connect Interface (PSC-I). Format: projects/{project}/regions/{region}/networkAttachments/{network_attachment} |
State
The various lifecycle states of the ODB Network.
| Enums | |
|---|---|
STATE_UNSPECIFIED |
Default unspecified value. |
PROVISIONING |
Indicates that the resource is in provisioning state. |
AVAILABLE |
Indicates that the resource is in available state. |
TERMINATING |
Indicates that the resource is in terminating state. |
FAILED |
Indicates that the resource is in failed state. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌